Unable to add Firebase Analytics after upgrading to .NET Standard 2.0

JassimRahmaJassimRahma USMember ✭✭✭✭

Hi,

I have just upgraded my PCL solution to .NET Standard 2.0 but when adding the Firebase Analytics to my Droid package I get this error:

Running non-parallel restore.
Reading project file /Users/jassim/Projects/Zayed/Zayed.Android/Zayed.Android.csproj.
Restoring packages for /Users/jassim/Projects/Zayed/Zayed.Android/Zayed.Android.csproj...
Restoring packages for MonoAndroid,Version=v8.1...
Resolving conflicts for MonoAndroid,Version=v8.1...
Version conflict detected for Xamarin.GooglePlayServices.Basement. Reference the package directly from the project to resolve this issue.
Zayed.Android (>= 1.0.0) -> Xamarin.Firebase.Analytics (>= 60.1142.1) -> Xamarin.GooglePlayServices.Basement (>= 60.1142.1)
Zayed.Android (>= 1.0.0) -> Com.OneSignal (>= 3.2.0) -> Xamarin.GooglePlayServices.Gcm (>= 42.1021.1) -> Xamarin.GooglePlayServices.Basement (>= 42.1021.1).
Checking compatibility of packages on MonoAndroid,Version=v8.1.
Checking compatibility for Zayed.Android 1.0.0 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Firebase.Analytics 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Forms 3.0.0.482510 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Design 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v7.AppCompat 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v4 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v7.CardView 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v7.MediaRouter 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfListView 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfMaskedEdit 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfNavigationDrawer 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfPopupLayout 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfRadialMenu 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfRating 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfBusyIndicator 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.SfTabView 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Newtonsoft.Json 11.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.CustomTabs 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Microsoft.AppCenter 1.6.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Microsoft.AppCenter.Crashes 1.6.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Microsoft.AppCenter.Analytics 1.6.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Auth 1.6.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xam.Plugin.DeviceInfo 4.0.0.13 with MonoAndroid,Version=v8.1.
Checking compatibility for Com.OneSignal 3.2.0 with MonoAndroid,Version=v8.1.
Checking compatibility for Zayed 1.0.0 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.GooglePlayServices.Basement 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Firebase.Common 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Firebase.Analytics.Impl 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v7.RecyclerView 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Transition 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Compat 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Core.UI 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Core.Utils 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Fragment 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Media.Compat 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Vector.Drawable 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Animated.Vector.Drawable 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.Annotations 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Support.v7.Palette 27.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.DataSource 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.GridCommon 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Syncfusion.Xamarin.Core 16.1.0.37 with MonoAndroid,Version=v8.1.
Checking compatibility for Plugin.CurrentActivity 2.1.0.2 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.GooglePlayServices.Gcm 42.1021.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Build.Download 0.4.9 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.GooglePlayServices.Tasks 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Firebase.Iid 60.1142.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Arch.Lifecycle.Runtime 1.0.3 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.GooglePlayServices.Base 42.1021.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.GooglePlayServices.Iid 42.1021.1 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Arch.Lifecycle.Common 1.0.3 with MonoAndroid,Version=v8.1.
Checking compatibility for Xamarin.Android.Arch.Core.Common 1.0.0 with MonoAndroid,Version=v8.1.
All packages and projects are compatible with MonoAndroid,Version=v8.1.
Package restore failed. Rolling back package changes for 'Zayed.Android'.

Kindly advise..

Thanks,
Jassim

Sign In or Register to comment.